/**
 * cookieForm
 * version: 1.0
 * author: Nedik <nedela.tomas@gmail.com>
 * 
 * description:
 * - snazi se zachytit vsechny elementy formulare se tridou cookiesave a pri zmene tyto hodnoty uklada do cookies pro dalsi pouziti
 * - tyto elementy pak nasledne plive ven, pokud je na strankach pak najde a nejsou jeste vyplnene
**/

var CookieForm = function ()
{
  function init ()
  {
    if (!$)
    {
      alert('CookieForm needs JQUERY for operate.');
      return true;
    }
    if (!$.cookie)
    {
      alert('CookieForm needs JQUERY.cookie for operate.');
      return true;
    }
    
    // vezmu si vsechny elementy formularu pod kontrolu
    $('form .cookiesave').live('change', function () {return saveValue(this);});

    // pokud mam nejake elementy jiz v Cookie, tak je vyplivnu tam, kde je hodnota prazdna
    fillInEmptyElements();
    return true;
  }
  
  function fillInEmptyElements()
  {
    $('form .cookiesave').each(function () {
      var sName = $(this).attr('name');
      if ($(this).context.type == 'checkbox')
      {
        if ($.cookie('_cookieForm_'+sName) != '')
        {
          if ($.cookie('_cookieForm_'+sName) == 'false') $(this).attr('checked', false);
          if ($.cookie('_cookieForm_'+sName) == 'true')  $(this).attr('checked', true);
        }
      }
      else if ($(this).val() == '' && $.cookie('_cookieForm_'+sName))
      {
        $(this).val($.cookie('_cookieForm_'+sName));
      }
    });
  }
  
  
  function saveValue(o)
  {
    var sName = $(o).attr('name');
    var sValue = $(o).val();
    if ($(o).context.type == "checkbox")
    {
      sValue = $(o).is(':checked');
    }
    
    $.cookie('_cookieForm_'+sName , sValue, {expires:30,path:'/'});
  }
  return {
    init : function() { init(); }
  }
}();

$(document).ready(CookieForm.init);